------------------------
---      Module      ---
------------------------

local name = "FlameTurnIn"
FlameTurnIn = LibStub("AceAddon-3.0"):NewAddon(	name,
											"AceConsole-3.0",
											"AceEvent-3.0");

----------------------------
--      Localization      --
----------------------------

local L = LibStub("AceLocale-3.0"):GetLocale(name, true)

--------------------------------
---      Are you local?      ---
--------------------------------

local self = FlameTurnIn

----------------------
---      Init      ---
----------------------

function self:OnInitialize()
  self:RegisterEvent("GOSSIP_SHOW")
  self:RegisterEvent("QUEST_PROGRESS")
  self:RegisterEvent("QUEST_COMPLETE")
  
  self:Print(L["Loaded"])
end

--------------------------------
---      Event Handlers      ---
--------------------------------

function self:GOSSIP_SHOW()
  local arg = { GetGossipAvailableQuests() }
  for i=1, #arg, 3 do
    self:Print(L["Found"]:format(arg[i]))
    if arg[i] == L["Honor the Flame"] or arg[i] == L["Desecrate this Fire!"] then
      self:Print(L["Select"]:format(arg[i], ceil(i/3)))
      SelectGossipAvailableQuest(ceil(i/3))
    end
  end
end

function self:QUEST_PROGRESS()
  local title = GetTitleText()
  if title == L["Honor the Flame"] or title == L["Desecrate this Fire!"] then
    self:Print(L["Accept"]:format(title))
    AcceptQuest()
  end
end

function self:QUEST_COMPLETE()
  local title = GetTitleText()
  if title == L["Honor the Flame"] or title == L["Desecrate this Fire!"]then
    self:Print(L["Finish"]:format(title))
      GetQuestReward(1)
  end
end

function self:Print(str)
end
